#ifndef avivideoclip_h
#define avivideoclip_h

#include <videoclip.h>

#define WAVE_FORMAT_PCM                 (0x0001)
#define WAVE_FORMAT_ALAW                (0x0006)
#define WAVE_FORMAT_MULAW               (0x0007)

/*------------------------------------------------------------------------------*/

class aviVideoClip : public videoClip
{
public:
  aviVideoClip();
  //~aviVideoClip() {};

  int open(char *filename, struct MOVIE_PARAMS *par);
  int writeframe(void *data);
  int writesound(void *data, int datasize);
  int close();

  int nframes() { return frames; }

private:
  /* statistics */
  int hdr_size;
  
  int audio_size;
  int total_size;

  /* video stuff */
  int frame_bytes, screen_bytes;
  unsigned char *framebuf;
};

#endif avivideoclip_h





