#ifndef _rcfile_h
#define _rcfile_h

#define RCDIR ".kwintvrc"
#define CHFILE "default.ch"

#include <qstring.h>
#include <qtstream.h> 

#ifdef myDEBUG
//#define rcDEBUG
#endif

class rcfile 
{
public:
  rcfile();
  ~rcfile();

  load();
  save();

public:
  QString country_name;
  QString channelListName;
  QString bttvDeviceName;
  QString ircDataName;
  QString ircDeviceName;
  QString mixerDeviceName;
  QString vc_tempName;

  int country_id;
  int mixerDevice;
  int col,hue,bri,contr;
  int delay;
  int norm,in,freq;
  int capture;
  int volume_left,volume_right,use_master_volume,sound_on,use_tv_volume,sliders_att,sliders_att_startup;
  int autosave,automouse,autott;
  int screensaver,fullSize;
  int aspectRatio,autoar;
  int vc_audioformat,vc_dimension,vc_format,vc_audiocapture,vc_fps,vc_channels,vc_bits,vc_rate,vc_video_clip;
  int vc_width,vc_height;
private:
};

#endif

