/* 
    xWinTV using Bt848 frame grabber driver

    Copyright (C) 1998 Moritz Wenk (wenk@mathematik.uni-kl.de)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/* 
   ICONS:
   
   ch_add
   ch_edit
   ch_delete
   fullsize
   mute
   cc

   ch_up
   ch_down
   capture
   snap
   exit
   aspect
   vol_up
   vol_down

   xwintv

*/

// do not touch anything here! Changes can be done in Makefile!

#ifndef MAIN_H
#define MAIN_H

#include <config.h>   // config.h by configure


// for debugging
//
// myDEBUG     to debug all    
// sDEBUG      mixer
// tvDEBUG     winTVScreen
// rcDEBUG     rcfile
// vtxDEBUG    vtx
// X11DEBUG    x11-events      

#undef myDEBUG

#define withTVscreen        // this is obsolete and should be removed in later versions!

#define MIXER_MAX_VALUE 100
#define MIXER_STEP 2


#endif MAIN_H










